Index: sasmodels/models/binary_hard_sphere.c
===================================================================
--- sasmodels/models/binary_hard_sphere.c	(revision e481a39647a6ec1b21e8f541d254d8c65855ae34)
+++ sasmodels/models/binary_hard_sphere.c	(revision 87bc7073c5a3916988bead7a177b1e03724d5daf)
@@ -7,10 +7,4 @@
     );
     
-double Iqxy(double qx, double qy,
-    double lg_radius, double sm_radius,
-    double lg_vol_frac, double sm_vol_frac,
-    double lg_sld, double sm_sld, double solvent_sld
-    );
-
 void calculate_psfs(double qval,
     double r2, double nf2,
@@ -88,17 +82,4 @@
 }
 
-
-double Iqxy(double qx, double qy,
-    double lg_radius, double sm_radius,
-    double lg_vol_frac, double sm_vol_frac,
-    double lg_sld, double sm_sld, double solvent_sld)
-    
-{
-    double q = sqrt(qx*qx + qy*qy);
-    return Iq(q,
-        lg_radius, sm_radius,
-        lg_vol_frac, sm_vol_frac,
-        lg_sld, sm_sld, solvent_sld);
-}
 
 void calculate_psfs(double qval,
Index: sasmodels/models/flexible_cylinder_elliptical.c
===================================================================
--- sasmodels/models/flexible_cylinder_elliptical.c	(revision b66d38efa49109d61182ada21c4f30e06f75d4cd)
+++ sasmodels/models/flexible_cylinder_elliptical.c	(revision 87bc7073c5a3916988bead7a177b1e03724d5daf)
@@ -2,6 +2,4 @@
 double Iq(double q, double length, double kuhn_length, double radius,
           double axis_ratio, double sld, double solvent_sld);
-double Iqxy(double qx, double qy, double length, double kuhn_length,
-            double radius, double axis_ratio, double sld, double solvent_sld);
 double flexible_cylinder_ex_kernel(double q, double length, double kuhn_length,
                                 double radius, double axis_ratio, double sld,
@@ -77,22 +75,2 @@
 }
 
-double Iqxy(double qx, double qy,
-            double length,
-            double kuhn_length,
-            double radius,
-            double axis_ratio,
-            double sld,
-            double solvent_sld)
-{
-    double q;
-    q = sqrt(qx*qx+qy*qy);
-    double result = flexible_cylinder_ex_kernel(q,
-                    length,
-                    kuhn_length,
-                    radius,
-                    axis_ratio,
-                    sld,
-                    solvent_sld);
-
-    return result;
-}
Index: sasmodels/models/hollow_rectangular_prism.c
===================================================================
--- sasmodels/models/hollow_rectangular_prism.c	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
+++ sasmodels/models/hollow_rectangular_prism.c	(revision 87bc7073c5a3916988bead7a177b1e03724d5daf)
@@ -2,6 +2,4 @@
 double Iq(double q, double sld, double solvent_sld, double length_a, 
           double b2a_ratio, double c2a_ratio, double thickness);
-double Iqxy(double qx, double qy, double sld, double solvent_sld, 
-            double length_a, double b2a_ratio, double c2a_ratio, double thickness);
 
 double form_volume(double length_a, double b2a_ratio, double c2a_ratio, double thickness)
@@ -101,15 +99,2 @@
     
 }
-
-double Iqxy(double qx, double qy,
-    double sld,
-    double solvent_sld,
-    double length_a,
-    double b2a_ratio,
-    double c2a_ratio,
-    double thickness)
-{
-    double q = sqrt(qx*qx + qy*qy);
-    double intensity = Iq(q, sld, solvent_sld, length_a, b2a_ratio, c2a_ratio, thickness); 
-    return intensity;    
-}
Index: sasmodels/models/hollow_rectangular_prism_thin_walls.c
===================================================================
--- sasmodels/models/hollow_rectangular_prism_thin_walls.c	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
+++ sasmodels/models/hollow_rectangular_prism_thin_walls.c	(revision 87bc7073c5a3916988bead7a177b1e03724d5daf)
@@ -2,6 +2,4 @@
 double Iq(double q, double sld, double solvent_sld, double length_a, 
           double b2a_ratio, double c2a_ratio);
-double Iqxy(double qx, double qy, double sld, double solvent_sld, 
-            double length_a, double b2a_ratio, double c2a_ratio);
 
 double form_volume(double length_a, double b2a_ratio, double c2a_ratio)
@@ -84,14 +82,2 @@
     
 }
-
-double Iqxy(double qx, double qy,
-    double sld,
-    double solvent_sld,
-    double length_a,
-    double b2a_ratio,
-    double c2a_ratio)
-{
-    double q = sqrt(qx*qx + qy*qy);
-    double intensity = Iq(q, sld, solvent_sld, length_a, b2a_ratio, c2a_ratio); 
-    return intensity;    
-}
Index: sasmodels/models/rectangular_prism.c
===================================================================
--- sasmodels/models/rectangular_prism.c	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
+++ sasmodels/models/rectangular_prism.c	(revision 87bc7073c5a3916988bead7a177b1e03724d5daf)
@@ -2,6 +2,4 @@
 double Iq(double q, double sld, double solvent_sld, double length_a, 
           double b2a_ratio, double c2a_ratio);
-double Iqxy(double qx, double qy, double sld, double solvent_sld, 
-            double length_a, double b2a_ratio, double c2a_ratio);
 
 double form_volume(double length_a, double b2a_ratio, double c2a_ratio)
@@ -28,7 +26,7 @@
    //Integration limits to use in Gaussian quadrature
     double v1a = 0.0;
-    double v1b = 0.5 * M_PI;  //theta integration limits
+    double v1b = M_PI_2;  //theta integration limits
     double v2a = 0.0;
-    double v2b = 0.5 * M_PI;  //phi integration limits
+    double v2b = M_PI_2;  //phi integration limits
     
     //Order of integration
@@ -88,14 +86,2 @@
     
 }
-
-double Iqxy(double qx, double qy,
-    double sld,
-    double solvent_sld,
-    double length_a,
-    double b2a_ratio,
-    double c2a_ratio)
-{
-    double q = sqrt(qx*qx + qy*qy);
-    double intensity = Iq(q, sld, solvent_sld, length_a, b2a_ratio, c2a_ratio); 
-    return intensity;    
-}
